'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _relation = require('../mixins/relation');

exports['default'] = {
    mixins: [(0, _relation.ParentMixin)('snCheckbox')],

    props: {
        max: [Number, String],
        disabled: Boolean,
        iconSize: [Number, String],
        checkedColor: String,
        value: {
            type: Array,
            'default': function _default() {
                return [];
            }
        }
    },

    watch: {
        value: function value(val) {
            this.$emit('change', val);
        }
    },

    methods: {
        // @exposed-api
        toggleAll: function toggleAll(checked) {
            if (checked === false) {
                this.$emit('input', []);
                return;
            }

            var children = this.children;

            if (!checked) {
                children = children.filter(function (item) {
                    return !item.checked;
                });
            }

            var names = children.map(function (item) {
                return item.name;
            });
            this.$emit('input', names);
        }
    },

    render: function render() {
        var h = arguments[0];
        var $slots = this.$slots;

        return h(
            'div',
            { 'class': 'sn-checkbox-group' },
            [$slots['default']]
        );
    }
};
module.exports = exports.default;