'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _listItem = require('../list-item');

var _listItem2 = _interopRequireDefault(_listItem);

var _inputNumber = require('../input-number');

var _inputNumber2 = _interopRequireDefault(_inputNumber);

var _inputItem = require('../mixins/input-item');

var _inputItem2 = _interopRequireDefault(_inputItem);

require('./index.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NumberItem = {
    mixins: [_inputItem2['default']],

    props: {
        // 是否有小数
        decimal: Boolean,
        // 数值精度
        precision: {
            type: Number,
            'default': 2
        },
        percent: Boolean,
        thousandSeparator: {
            type: Boolean,
            'default': true
        },
        unit: String
    },

    render: function render() {
        var h = arguments[0];
        var value = this.value,
            type = this.type,
            icon = this.icon,
            rightIcon = this.rightIcon,
            title = this.title,
            titleStyle = this.titleStyle,
            titleClass = this.titleClass,
            valueStyle = this.valueStyle,
            valueClass = this.valueClass,
            valuePosition = this.valuePosition,
            labelNumber = this.labelNumber,
            required = this.required,
            border = this.border,
            borderIndent = this.borderIndent,
            placeholder = this.placeholder,
            editable = this.editable,
            disabled = this.disabled,
            clear = this.clear,
            decimal = this.decimal,
            precision = this.precision,
            percent = this.percent,
            thousandSeparator = this.thousandSeparator,
            unit = this.unit,
            $slots = this.$slots;


        var renderTitle = $slots['title'] ? h(
            'div',
            { slot: 'title' },
            [$slots['title']]
        ) : null;
        var renderRightIcon = $slots['right-icon'] ? h(
            'div',
            { slot: 'right-icon' },
            [$slots['right-icon']]
        ) : null;

        return h(
            _listItem2['default'],
            {
                'class': 'sn-input-number-item',
                attrs: { icon: icon,
                    rightIcon: rightIcon,
                    title: title,
                    titleStyle: titleStyle,
                    titleClass: titleClass,
                    valueStyle: valueStyle,
                    valueClass: valueClass,
                    valuePosition: valuePosition,
                    labelNumber: labelNumber,
                    required: required,
                    border: border,
                    borderIndent: borderIndent
                },
                on: {
                    'click': this.onClick,
                    'right-icon-click': this.onRightIconClick
                }
            },
            [h(_inputNumber2['default'], {
                ref: 'inputRef',
                attrs: { type: type,
                    value: value,
                    placeholder: placeholder,
                    disabled: disabled,
                    editable: editable,
                    clear: clear,
                    decimal: decimal,
                    precision: precision,
                    percent: percent,
                    thousandSeparator: thousandSeparator,
                    unit: unit
                },
                on: {
                    'focus': this.onFocus,
                    'input': this.onInput,
                    'change': this.onChange,
                    'blur': this.onBlur
                }
            }), renderTitle, renderRightIcon]
        );
    }
};
exports['default'] = NumberItem;
module.exports = exports.default;