'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _listItem = require('../list-item');

var _listItem2 = _interopRequireDefault(_listItem);

var _input = require('../input');

var _input2 = _interopRequireDefault(_input);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var InputMixin = {
    mixins: [_listItem2['default'], _input2['default']],

    props: {
        valuePosition: {
            type: String,
            'default': 'left'
        },
        labelNumber: {
            type: Number,
            'default': 5
        }
    },

    methods: {
        /**
         * input输入
         */
        onInput: function onInput(val) {
            this.$emit('input', val);
        },


        /**
         * 获取焦点
         */
        onFocus: function onFocus() {
            this.$emit('focus');
        },


        /**
         * 丢失焦点
         */
        onBlur: function onBlur() {
            this.$emit('blur');
        },


        /**
         * change 事件
         */
        onChange: function onChange() {
            this.$emit('change', this.value);
        },


        /**
         * 整行点击事件
         */
        onClick: function onClick() {
            this.$emit('click');
        },


        /**
         * 右侧图标点击事件
         */
        onRightIconClick: function onRightIconClick() {
            this.$emit('right-icon-click');
        }
    }
};

exports['default'] = InputMixin;
module.exports = exports.default;