'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

require('./index.less');

var _input = require('../mixins/input');

var _input2 = _interopRequireDefault(_input);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var Input = {
    mixins: [_input2['default']],
    methods: {
        setValue: function setValue(value) {
            this.$refs.input.value = value;
        }
    },
    render: function render() {
        var h = arguments[0];

        return h('input', {
            'class': 'sn-input',
            ref: 'input',
            attrs: { type: 'search',

                maxlength: this.maxLenght,
                placeHolder: this.placeHolder,
                readonly: this.readonly
            },
            domProps: {
                'value': this.value
            },
            on: {
                'focus': this.onFocus,
                'blur': this.onBlur,
                'change': this.onChange,
                'input': this.onInput
            }
        });
    }
};

exports['default'] = Input;
module.exports = exports.default;